> For the complete documentation index, see [llms.txt](https://docs.uma.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.uma.xyz/developers/resolving-disputes.md).

# Resolving Testnet Disputes

If the dispute is on a live network, it will be resolved by the [DVM](https://docs.umaproject.org/protocol-overview/how-does-umas-oracle-work) on Ethereum, and the results returned within 48-72 hours (depending on when the dispute was raised during the DVM voting cycle).

If you are testing the dispute flow on Görli, you will need to manually resolve the dispute through the [Mock Oracle](https://goerli.etherscan.io/address/0x20570e9e27920ac5e2601e0bef7244deff7f0b28#code). This contract stands in for the DVM on Görli and allows you to manually return your own values for testing purposes.

1. Go to the [Mock Oracle contract](https://goerli.etherscan.io/address/0x20570e9e27920ac5e2601e0bef7244deff7f0b28#code) on Görli Etherscan.
2. Click 'Write Contract.'
3. Click 'Connect to Web3' to connect your wallet.
4. Click 'OK' on the pop-up that warns you that writing to contracts on Etherscan is a beta test feature.
5. Connect through your wallet interface, and switch networks to Görli if necessary.
6. Click `pushPrice` to see the parameters you will need to enter.
7. Enter the original request's `identifier`, `time`, and `ancillaryData`, and enter the value you want to return for `price`.
8. Click 'Write' and submit the transaction.
9. Depending on how the contract you are testing was written, you may need to call `settleAndGetPrice` from your contract to the Optimistic Oracle contract to get the value returned from the mock oracle, or you may be able to call `settle` on the Optimistic Oracle and have your contract automatically receive and handle the return value with a `priceSettled` callback function.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.uma.xyz/developers/resolving-disputes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
